Bug 676485 - Broken dependency: gnome-pilot-2.32.0-4.fc15.x86_64 requires libpanel-applet-2.so.0()(64bit)
Broken dependency: gnome-pilot-2.32.0-4.fc15.x86_64 requires libpanel-applet-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
repoclosure_hash:2131a73eda8d716f2c49...
: Reopened
: 677798 (view as bug list)
Depends On:
Blocks: F15Alpha/F15AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-02-09 21:43 EST by Andre Robatino
Modified: 2011-02-18 01:56 EST (History)
4 users (show)

See Also:
Fixed In Version: gnome-pilot-2.32.0-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 01:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2011-02-09 21:43:21 EST
Description of problem:
Repoclosure output on 15 Alpha TC1 i386 DVD:

Added myrepo repo from /media
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   myrepo
Num Packages in Repos: 2913
package: gnome-pilot-2.32.0-4.fc15.i686 from myrepo
  unresolved deps: 
     libpanel-applet-2.so.0

Repoclosure output on 15 Alpha TC1 x86_64 DVD:

Added myrepo repo from /media
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   myrepo
Num Packages in Repos: 2909
package: gnome-pilot-2.32.0-4.fc15.x86_64 from myrepo
  unresolved deps: 
     libpanel-applet-2.so.0()(64bit)

Version-Release number of selected component (if applicable):
gnome-pilot-2.32.0-4.fc15
Comment 1 James Laska 2011-02-11 11:31:20 EST
Adding to the F15Alpha list for review as a blocker bug per the following Alpha criteria:

   "There must be no file conflicts (cases where the files in some 
    packages conflict but the packages have explicit Conflicts: tags 
    are acceptable) or unresolved package dependencies during a 
    media-based (CD/DVD) install"

https://fedoraproject.org/wiki/Fedora_15_Alpha_Release_Criteria
Comment 2 Robyn Bergeron 2011-02-11 14:21:12 EST
Per 2011-02-11 Alpha Blocker meeting -
   1. Recommend to resolve the dependency problem, or remove 'gnome-pilot' from comps for F15Alpha
   2. AGREED: 676485 - accepted as F15Alpha blocker. Work with desktop SIG to identify how to proceed for Alpha
Comment 3 Matthew Barnes 2011-02-11 14:36:01 EST
Desktop team suggested I disable gnome-pilot's panel applet so we can drop the libpanel-applet dependency.
Comment 4 James Laska 2011-02-14 08:56:53 EST
(In reply to comment #3)
> Desktop team suggested I disable gnome-pilot's panel applet so we can drop the
> libpanel-applet dependency.

Thanks for the update Matthew.  Just a reminder, a new build will be needed by Tuesday in order for this to make the release candidate build, and not introduce any Alpha release delays.  Feel free to drop into #fedora-devel and ask if you have any questions.  Thanks!

http://rbergero.fedorapeople.org/schedules/f-15/f-15-quality-tasks.html
Comment 5 Matthew Barnes 2011-02-14 15:23:46 EST
Panel dependency removed in gnome-pilot-2.32.0-8.f15.

I also had to disable gnome-pilot's evolution-data-server integration since gnome-pilot still uses gtk2 and can't link to libedataserverui anymore.  Leaves me wondering how useful this package really is now, but maybe upstream will give it some love soon so I can restore these features.
Comment 6 Andre Robatino 2011-02-14 21:07:54 EST
Repoclosure output on 15 Alpha TC2 i386 DVD:

Added myrepo repo from /media
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   myrepo
Num Packages in Repos: 2926
package: gnome-pilot-2.32.0-4.fc15.i686 from myrepo
  unresolved deps: 
     libpanel-applet-2.so.0
package: hugin-base-2010.4.0-4.fc15.i686 from myrepo
  unresolved deps: 
     libpano13.so.2
package: perl-DateTime-Format-Mail-0.3001-9.fc15.noarch from myrepo
  unresolved deps: 
     perl(DateTime) >= 0:0.1705

Repoclosure output on 15 Alpha TC2 x86_64 DVD:

Added myrepo repo from /media
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   myrepo
Num Packages in Repos: 2922
package: gnome-pilot-2.32.0-4.fc15.x86_64 from myrepo
  unresolved deps: 
     libpanel-applet-2.so.0()(64bit)
package: hugin-base-2010.4.0-4.fc15.x86_64 from myrepo
  unresolved deps: 
     libpano13.so.2()(64bit)
package: perl-DateTime-Format-Mail-0.3001-9.fc15.noarch from myrepo
  unresolved deps: 
     perl(DateTime) >= 0:0.1705

I'm reopening this since it appears to me that there are new unresolved deps. If not then please close again.

BTW, I'd set the Version to 15 if it was an option.
Comment 7 James Laska 2011-02-15 16:17:22 EST
We're going to need bugs filed against the correct component for each of the repoclosure issues.  I'm running a script now to file bugs for all repoclosure bugs, if/when that completes, we'll the items identified in comment#6 into their own bug.
Comment 8 James Laska 2011-02-15 16:25:10 EST
This bug will be used to track the gnome-pilot dependency problem.

The two other issues can be tracked as:

677797 - Broken dependency: hugin-base-2010.4.0-4.fc15.x86_64 requires libpano13.so.2()(64bit)
677799 - Broken dependency: perl-DateTime-Format-Mail-0.3001-9.fc15.noarch requires perl(DateTime) >= 0:0.1705
Comment 9 James Laska 2011-02-15 16:25:18 EST
*** Bug 677798 has been marked as a duplicate of this bug. ***
Comment 10 James Laska 2011-02-16 10:18:14 EST
Adjusting component to gnome-pilot
Comment 11 James Laska 2011-02-16 10:19:23 EST
(In reply to comment #3)
> Desktop team suggested I disable gnome-pilot's panel applet so we can drop the
> libpanel-applet dependency.

Matthew, any updates on your end?  Looks like we need to get this resolved by Friday in order to make the Alpha RC.  Let me know how I can help.
Comment 12 Matthew Barnes 2011-02-16 19:54:12 EST
See comment #5.  I already fixed this.
Comment 13 James Laska 2011-02-17 07:49:41 EST
(In reply to comment #12)
> See comment #5.  I already fixed this.

Doh!  I missed that comment above, apologies.  I'm moving this to MODIFIED given a fix is available in a new build (http://koji.fedoraproject.org/koji/buildinfo?buildID=228732).

Matthew: Can you submit a bodhi update for F15 so this can be included in F15Alpha?  Thanks!
Comment 14 Matthew Barnes 2011-02-17 08:28:49 EST
Sure, but it will have to wait til tonight.  On travel atm.
Comment 15 James Laska 2011-02-17 10:42:07 EST
(In reply to comment #14)
> Sure, but it will have to wait til tonight.  On travel atm.

No worries, we just need an update by tomorrow (Fri) in order for it to make the RC
Comment 16 Fedora Update System 2011-02-17 20:14:04 EST
gnome-pilot-2.32.0-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-pilot-2.32.0-8.fc15
Comment 17 Fedora Update System 2011-02-17 22:18:04 EST
gnome-pilot-2.32.0-8.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-pilot'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-pilot-2.32.0-8.fc15
Comment 18 Fedora Update System 2011-02-18 01:56:46 EST
gnome-pilot-2.32.0-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.